"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useContainer = exports.UTILITY_TOKENS = exports.TOKENS = exports.STACK_TOKENS = exports.SERVICE_TOKENS = exports.SCREEN_TOKENS = exports.PROOF_TOKENS = exports.OBJECT_TOKENS = exports.NOTIFICATION_TOKENS = exports.LOAD_STATE_TOKENS = exports.FN_TOKENS = exports.ContainerProvider = exports.ContainerContext = exports.COMP_TOKENS = exports.CACHE_TOKENS = void 0;
var _react = require("react");
const PROOF_TOKENS = exports.PROOF_TOKENS = {
  GROUP_BY_REFERENT: 'proof.groupByReferant',
  CRED_HELP_ACTION_OVERRIDES: 'proof.credHelpActionOverride'
};
const SCREEN_TOKENS = exports.SCREEN_TOKENS = {
  SCREEN_PREFACE: 'screen.preface',
  SCREEN_TERMS: 'screen.terms',
  SCREEN_ONBOARDING: 'screen.onboarding',
  SCREEN_DEVELOPER: 'screen.developer',
  SCREEN_ONBOARDING_ITEM: 'screen.onboarding.item'
};
const NOTIFICATION_TOKENS = exports.NOTIFICATION_TOKENS = {
  NOTIFICATIONS: 'notification.list'
};
const STACK_TOKENS = exports.STACK_TOKENS = {
  STACK_ONBOARDING: 'stack.onboarding'
};
const FN_TOKENS = exports.FN_TOKENS = {
  FN_ONBOARDING_DONE: 'fn.onboardingDone',
  FN_LOAD_HISTORY: 'fn.loadHistory'
};
const COMP_TOKENS = exports.COMP_TOKENS = {
  COMP_BUTTON: 'comp.button'
};
const SERVICE_TOKENS = exports.SERVICE_TOKENS = {
  SERVICE_TERMS: 'screen.terms'
};
const LOAD_STATE_TOKENS = exports.LOAD_STATE_TOKENS = {
  LOAD_STATE: 'state.load'
};
const OBJECT_TOKENS = exports.OBJECT_TOKENS = {
  OBJECT_ONBOARDING_CONFIG: 'object.onboarding-config'
};
const CACHE_TOKENS = exports.CACHE_TOKENS = {
  CACHE_CRED_DEFS: 'cache.cred-defs',
  CACHE_SCHEMAS: 'cache.schemas'
};
const UTILITY_TOKENS = exports.UTILITY_TOKENS = {
  UTIL_LOGGER: 'utility.logger',
  UTIL_OCA_RESOLVER: 'utility.oca-resolver',
  UTIL_LEDGERS: 'utility.ledgers',
  UTIL_PROOF_TEMPLATE: 'utility.proof-template',
  UTIL_ATTESTATION_MONITOR: 'utility.attestation-monitor'
};
const TOKENS = exports.TOKENS = {
  ...PROOF_TOKENS,
  ...SCREEN_TOKENS,
  ...SERVICE_TOKENS,
  ...STACK_TOKENS,
  ...NOTIFICATION_TOKENS,
  ...FN_TOKENS,
  ...COMP_TOKENS,
  ...LOAD_STATE_TOKENS,
  ...OBJECT_TOKENS,
  ...CACHE_TOKENS,
  ...UTILITY_TOKENS
};
const ContainerContext = exports.ContainerContext = /*#__PURE__*/(0, _react.createContext)(undefined);
const ContainerProvider = exports.ContainerProvider = ContainerContext.Provider;

// eslint-disable-next-line @typescript-eslint/no-non-null-assertion
const useContainer = () => (0, _react.useContext)(ContainerContext);
exports.useContainer = useContainer;
//# sourceMappingURL=container-api.js.map