"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultConfiguration = void 0;
var _EmptyList = _interopRequireDefault(require("./components/misc/EmptyList"));
var _Record = _interopRequireDefault(require("./components/record/Record"));
var _HomeFooterView = _interopRequireDefault(require("./components/views/HomeFooterView"));
var _HomeHeaderView = _interopRequireDefault(require("./components/views/HomeHeaderView"));
var _constants = require("./constants");
var _localization = require("./localization");
var _Developer = _interopRequireDefault(require("./screens/Developer"));
var _OnboardingPages = _interopRequireDefault(require("./screens/OnboardingPages"));
var _Preface = _interopRequireDefault(require("./screens/Preface"));
var _Scan = _interopRequireDefault(require("./screens/Scan"));
var _Splash = _interopRequireDefault(require("./screens/Splash"));
var _Terms = _interopRequireDefault(require("./screens/Terms"));
var _UseBiometry = _interopRequireDefault(require("./screens/UseBiometry"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultConfiguration = exports.defaultConfiguration = {
  pages: _OnboardingPages.default,
  splash: _Splash.default,
  terms: _Terms.default,
  preface: _Preface.default,
  developer: _Developer.default,
  homeHeaderView: _HomeHeaderView.default,
  homeFooterView: _HomeFooterView.default,
  credentialListHeaderRight: () => null,
  credentialListOptions: () => null,
  credentialEmptyList: _EmptyList.default,
  scan: _Scan.default,
  record: _Record.default,
  PINSecurity: {
    rules: _constants.PINRules,
    displayHelper: false
  },
  settings: [],
  enableTours: false,
  supportedLanguages: Object.keys(_localization.translationResources),
  showPreface: false,
  disableOnboardingSkip: false,
  useBiometry: _UseBiometry.default,
  whereToUseWalletUrl: 'https://example.com',
  showScanHelp: true,
  showScanButton: true,
  showDetailsInfo: true
};
//# sourceMappingURL=defaultConfiguration.js.map