import React from 'react';
import { useTranslation } from 'react-i18next';
import { StyleSheet, Text } from 'react-native';
import { useTheme } from '../../contexts/theme';
import { testIdWithKey } from '../../utils/testable';
import InfoTextBox from '../texts/InfoTextBox';
const NoNewUpdates = () => {
  const {
    t
  } = useTranslation();
  const {
    HomeTheme
  } = useTheme();
  const styles = StyleSheet.create({
    noNewUpdatesText: {
      ...HomeTheme.noNewUpdatesText,
      alignSelf: 'center',
      flex: 1,
      flexWrap: 'wrap'
    }
  });
  return /*#__PURE__*/React.createElement(InfoTextBox, null, /*#__PURE__*/React.createElement(Text, {
    style: styles.noNewUpdatesText,
    testID: testIdWithKey('NoNewUpdates')
  }, t('Home.NoNewUpdates')));
};
export default NoNewUpdates;
//# sourceMappingURL=NoNewUpdates.js.map