/// <reference types="react" />
import { Agent } from '@credo-ts/core';
import { StackNavigationOptions, StackScreenProps } from '@react-navigation/stack';
import { EmptyListProps } from '../components/misc/EmptyList';
import { RecordProps } from '../components/record/Record';
import { Locales } from '../localization';
import OnboardingPages from '../screens/OnboardingPages';
import { ConnectStackParams } from '../types/navigators';
import { PINSecurityParams } from '../types/security';
import { SettingSection } from '../types/settings';
interface PushNotificationConfiguration {
    status: () => Promise<'denied' | 'granted' | 'unknown'>;
    setup: () => Promise<'denied' | 'granted' | 'unknown'>;
    toggle: (state: boolean, agent: Agent<any>) => Promise<void>;
}
export interface ConfigurationContext {
    pages: typeof OnboardingPages;
    splash: React.FC;
    terms: React.FC;
    preface: React.FC;
    homeHeaderView: React.FC;
    homeFooterView: React.FC;
    credentialListHeaderRight: React.FC;
    credentialListOptions: React.FC;
    credentialEmptyList: React.FC<EmptyListProps>;
    developer: React.FC;
    proofTemplateBaseUrl?: string;
    scan: React.FC<StackScreenProps<ConnectStackParams>>;
    record: React.FC<RecordProps>;
    PINSecurity: PINSecurityParams;
    settings: SettingSection[];
    supportedLanguages: Locales[];
    connectionTimerDelay?: number;
    autoRedirectConnectionToHome?: boolean;
    enableTours?: boolean;
    enableImplicitInvitations?: boolean;
    enableReuseConnections?: boolean;
    showPreface?: boolean;
    disableOnboardingSkip?: boolean;
    useBiometry: React.FC;
    enablePushNotifications?: PushNotificationConfiguration;
    whereToUseWalletUrl: string;
    showScanHelp?: boolean;
    showScanButton?: boolean;
    globalScreenOptions?: StackNavigationOptions;
    showDetailsInfo?: boolean;
    contactHideList?: string[];
    credentialHideList?: string[];
}
export declare const ConfigurationContext: import("react").Context<ConfigurationContext>;
export declare const ConfigurationProvider: import("react").Provider<ConfigurationContext>;
export declare const useConfiguration: () => ConfigurationContext;
export {};
//# sourceMappingURL=configuration.d.ts.map